Le cache est corrompu

Fermé
Signaler
Messages postés
59
Date d'inscription
dimanche 16 mai 2010
Statut
Membre
Dernière intervention
15 mai 2018
-
 JackyTrihorn -
Bonjour, j'ai un souci je suis sous jolicloud "ubuntu". et quant je veut installer un logiciel il me dit ca :

Erreur : Impossible de satisfaire toutes les dépendances (le cache est corrompu)

est que quel qu'un sais comment réparer ca svp ?? "j'ai pas envie de formater encore mon pc" ^^

Merci pour toute réponse ... :)

17 réponses

Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Salut,

Dans une console tape
sudo aptitude install TONLOGICIEL
et affiche ici ce que tu vois à l'écran.
1
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 41989 internautes nous ont dit merci ce mois-ci

Tu es un Dieu - Merci !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Messages postés
59
Date d'inscription
dimanche 16 mai 2010
Statut
Membre
Dernière intervention
15 mai 2018

voila ce qu'il me dit :

dr3amz@Dr3amz-PC:~$ sudo aptitude install software-store
[sudo] password for dr3amz:
E: Impossible de verrouiller /var/lib/dpkg/lock - open (11 Ressource temporairement non disponible)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Il est possible qu'un autre processus l'utilise.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
E: Impossible de verrouiller /var/lib/dpkg/lock - open (11 Ressource temporairement non disponible)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Il est possible qu'un autre processus l'utilise.
dr3amz@Dr3amz-PC:~$

Y a un moyen de faire un clean de tout qui se trouve dans /var/lib/dpkg/ ??

Mais que faire ... ;{
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,

ps aux | grep apt
et affiche le résultat
Messages postés
59
Date d'inscription
dimanche 16 mai 2010
Statut
Membre
Dernière intervention
15 mai 2018

voila j'y comprend rien mais voila.. ^^

root 4801 0.0 0.6 25468 22908 pts/0 Ss+ 14:50 0:00 /usr/bin/dpkg --status-fd 29 --unpack --auto-deconfigure /var/cache/apt/archives/sun-java6-jre_6.20dlj-0ubuntu1.9.04_all.deb /var/cache/apt/archives/sun-java6-bin_6.20dlj-0ubuntu1.9.04_i386.deb
dr3amz 24596 0.0 0.0 3276 816 pts/1 S+ 16:42 0:00 grep apt
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,
sudo kill -9 4801
sudo aptitude install software-store 

Messages postés
59
Date d'inscription
dimanche 16 mai 2010
Statut
Membre
Dernière intervention
15 mai 2018

il me dit ca :

dr3amz@Dr3amz-PC:~$ sudo aptitude install software-store
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Écriture de l'information d'état étendu... Fait
Impossible de trouver un paquet dont le nom ou la description correspond à « software-store »
Impossible de trouver un paquet dont le nom ou la description correspond à « software-store »
Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 0o seront utilisés.
E: Impossible de localiser un fichier du paquet sun-java6-bin. Cela signifie que vous devrez corriger ce paquet vous-même (absence d'architecture).
E: Impossible de localiser un fichier du paquet sun-java6-jre. Cela signifie que vous devrez corriger ce paquet vous-même (absence d'architecture).
Écriture de l'information d'état étendu... Fait
E: Impossible de localiser un fichier du paquet sun-java6-bin. Cela signifie que vous devrez corriger ce paquet vous-même (absence d'architecture).
E: Impossible de localiser un fichier du paquet sun-java6-jre. Cela signifie que vous devrez corriger ce paquet vous-même (absence d'architecture).
E: Erreur interne : impossible de créer la liste des paquets à télécharger

alors j'ai tester ca :

sudo aptitude install java

mais il me dit la meme chose ... je format ???
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,

mais il me dit la meme chose ... je format ???
Surtout pas.

Est-ce tu as Synaptic ou un autre gestionnaire de paquets ouvert?

Messages postés
59
Date d'inscription
dimanche 16 mai 2010
Statut
Membre
Dernière intervention
15 mai 2018

non j'ai firefox et le dossier de DL ou j'ai mon fichier a installer de ouvert c'est tout.
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,

Comme je n'ai pas trop de temps on va faire simple.
Tu quittes complètement ta session, tu de déconnecte et ensuite tu l'ouvres à nouveau.
Ensuite tu ouvres le terminal et tu tapes la commande

sudo aptitude update

et tu affiches le résultat


GNU/Linux:Linux is Not Ubuntu! Quel linux choisir ne veut pas dire votre Distribution préférée,
106485010510997108
Messages postés
59
Date d'inscription
dimanche 16 mai 2010
Statut
Membre
Dernière intervention
15 mai 2018

ok je re...
Messages postés
59
Date d'inscription
dimanche 16 mai 2010
Statut
Membre
Dernière intervention
15 mai 2018

Voila ca donne ca :

dr3amz@Dr3amz-PC:~$ sudo aptitude update
[sudo] password for dr3amz:
Écriture de l'information d'état étendu... Fait
Atteint http://fr.archive.ubuntu.com jaunty Release.gpg
Atteint https://ubuntu.com/security/notices jaunty-security Release.gpg
Ign https://ubuntu.com/security/notices jaunty-security/main Translation-fr
Prendre :1 http://fr.archive.ubuntu.com jaunty/main Translation-fr [424kB]
Atteint https://launchpad.net jaunty Release.gpg
Ign https://launchpad.net jaunty/main Translation-fr
Ign https://ubuntu.com/security/notices jaunty-security/restricted Translation-fr
Ign https://ubuntu.com/security/notices jaunty-security/universe Translation-fr
Ign https://ubuntu.com/security/notices jaunty-security/multiverse Translation-fr
Atteint https://ubuntu.com/security/notices jaunty-security Release
Atteint https://launchpad.net jaunty Release.gpg
Ign https://launchpad.net jaunty/main Translation-fr
Atteint https://launchpad.net jaunty Release.gpg
Ign https://launchpad.net jaunty/main Translation-fr
Atteint https://launchpad.net jaunty Release.gpg
Ign https://launchpad.net jaunty/main Translation-fr
Atteint https://launchpad.net jaunty Release.gpg
Ign https://launchpad.net jaunty/main Translation-fr
Atteint https://launchpad.net jaunty Release.gpg
Ign https://launchpad.net jaunty/main Translation-fr
Atteint https://launchpad.net jaunty Release
Atteint https://ubuntu.com/security/notices jaunty-security/main Packages
Atteint https://launchpad.net jaunty Release
Atteint https://launchpad.net jaunty Release
Atteint https://launchpad.net jaunty Release
Atteint https://launchpad.net jaunty Release
Atteint http://apt.jolicloud.org robby Release.gpg
Ign http://apt.jolicloud.org robby/main Translation-fr
Atteint https://ubuntu.com/security/notices jaunty-security/restricted Packages
Atteint https://ubuntu.com/security/notices jaunty-security/main Sources
Atteint https://ubuntu.com/security/notices jaunty-security/restricted Sources
Atteint https://ubuntu.com/security/notices jaunty-security/universe Packages
Atteint https://launchpad.net jaunty Release
Atteint https://ubuntu.com/security/notices jaunty-security/universe Sources
Atteint https://ubuntu.com/security/notices jaunty-security/multiverse Packages
Atteint https://ubuntu.com/security/notices jaunty-security/multiverse Sources
Atteint https://launchpad.net jaunty/main Packages
Atteint https://launchpad.net jaunty/main Sources
Atteint https://launchpad.net jaunty/main Packages
Atteint https://launchpad.net jaunty/main Sources
Atteint https://launchpad.net jaunty/main Packages
Atteint https://launchpad.net jaunty/main Sources
Atteint https://launchpad.net jaunty/main Packages
Atteint https://launchpad.net jaunty/main Sources
Ign http://apt.jolicloud.org robby/directory Translation-fr
Ign http://apt.jolicloud.org robby/jolicloud Translation-fr
Atteint http://apt.jolicloud.org robby Release
Atteint https://launchpad.net jaunty/main Packages
Atteint https://launchpad.net jaunty/main Sources
Atteint https://launchpad.net jaunty/main Packages
Atteint https://launchpad.net jaunty/main Sources
Ign http://apt.jolicloud.org robby/main Packages
Ign http://apt.jolicloud.org robby/directory Packages
Ign http://apt.jolicloud.org robby/jolicloud Packages
Ign http://apt.jolicloud.org robby/main Sources
Ign http://apt.jolicloud.org robby/directory Sources
Ign http://apt.jolicloud.org robby/jolicloud Sources
Atteint http://apt.jolicloud.org robby/main Packages
Prendre :2 http://fr.archive.ubuntu.com jaunty/restricted Translation-fr [4715B]
Prendre :3 http://fr.archive.ubuntu.com jaunty/universe Translation-fr [635kB]
Atteint http://apt.jolicloud.org robby/directory Packages
Atteint http://apt.jolicloud.org robby/jolicloud Packages
Atteint http://apt.jolicloud.org robby/main Sources
Atteint http://apt.jolicloud.org robby/directory Sources
Atteint http://apt.jolicloud.org robby/jolicloud Sources
Prendre :4 http://fr.archive.ubuntu.com jaunty/multiverse Translation-fr [69,7kB]
Atteint http://fr.archive.ubuntu.com jaunty-updates Release.gpg
Ign http://fr.archive.ubuntu.com jaunty-updates/main Translation-fr
Ign http://fr.archive.ubuntu.com jaunty-updates/restricted Translation-fr
Ign http://fr.archive.ubuntu.com jaunty-updates/universe Translation-fr
Ign http://fr.archive.ubuntu.com jaunty-updates/multiverse Translation-fr
Atteint http://fr.archive.ubuntu.com jaunty Release
Atteint http://fr.archive.ubuntu.com jaunty-updates Release
Atteint http://fr.archive.ubuntu.com jaunty/main Packages
Atteint http://fr.archive.ubuntu.com jaunty/restricted Packages
Atteint http://fr.archive.ubuntu.com jaunty/main Sources
Atteint http://fr.archive.ubuntu.com jaunty/restricted Sources
Atteint http://fr.archive.ubuntu.com jaunty/universe Packages
Atteint http://fr.archive.ubuntu.com jaunty/universe Sources
Atteint http://fr.archive.ubuntu.com jaunty/multiverse Packages
Atteint http://fr.archive.ubuntu.com jaunty/multiverse Sources
Atteint http://fr.archive.ubuntu.com jaunty-updates/main Packages
Atteint http://fr.archive.ubuntu.com jaunty-updates/restricted Packages
Atteint http://fr.archive.ubuntu.com jaunty-updates/main Sources
Atteint http://fr.archive.ubuntu.com jaunty-updates/restricted Sources
Atteint http://fr.archive.ubuntu.com jaunty-updates/universe Packages
Atteint http://fr.archive.ubuntu.com jaunty-updates/universe Sources
Atteint http://fr.archive.ubuntu.com jaunty-updates/multiverse Packages
Atteint http://fr.archive.ubuntu.com jaunty-updates/multiverse Sources
1133ko téléchargés en 2s (403ko/s)
Lecture des listes de paquets... Fait

et voila ce qu'il me dite quant je lance l'install :

dr3amz@Dr3amz-PC:~$ sudo aptitude install software-store
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Impossible de trouver un paquet dont le nom ou la description correspond à « software-store »
Impossible de trouver un paquet dont le nom ou la description correspond à « software-store »
Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 0o seront utilisés.
E: Impossible de localiser un fichier du paquet sun-java6-bin. Cela signifie que vous devrez corriger ce paquet vous-même (absence d'architecture).
E: Impossible de localiser un fichier du paquet sun-java6-jre. Cela signifie que vous devrez corriger ce paquet vous-même (absence d'architecture).
E: Impossible de localiser un fichier du paquet sun-java6-bin. Cela signifie que vous devrez corriger ce paquet vous-même (absence d'architecture).
E: Impossible de localiser un fichier du paquet sun-java6-jre. Cela signifie que vous devrez corriger ce paquet vous-même (absence d'architecture).
E: Erreur interne : impossible de créer la liste des paquets à télécharger
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,

Affiche le résultat de
aptitude search software
Messages postés
59
Date d'inscription
dimanche 16 mai 2010
Statut
Membre
Dernière intervention
15 mai 2018

dr3amz@Dr3amz-PC:~$ aptitude search software
i python-software-properties - Gère les dépôts depuis lesquels vous installez des logiciels
i software-properties-gtk - Gère les dépôts depuis lesquels vous installez des logiciels
p software-properties-kde - Gère les dépôts depuis lesquels vous installez des logiciels
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,

Tu as quel version d'Ubuntu?
Messages postés
59
Date d'inscription
dimanche 16 mai 2010
Statut
Membre
Dernière intervention
15 mai 2018

je suis sous jolicloud, c'est la version 1.0
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,

Affiche le résultat de
cat /etc/issue
Messages postés
59
Date d'inscription
dimanche 16 mai 2010
Statut
Membre
Dernière intervention
15 mai 2018

dr3amz@Dr3amz-PC:~$ cat /etc/issue
Jolicloud robby \n \l
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,

Ok, donc tu as une distribution base sous Ubuntu.
Il fallait le dire.

Regarde ici pour software-center http://doc.ubuntu-fr.org/software-center
Et ici pour l'installation de sun-java6 http://doc.ubuntu-fr.org/java